Subject: git-repack keeps running out of memory

From: Phil Susi <[email-masked]>
Date: Mon, 01 Jun 2015 14:39:04 -0400

I keep having git-repack run out of virtual memory ( 32 bit system ) 
when trying to repack my linux kernel repo.  It keeps making it right up 
to 99% then barfing saying mmap failed: Cannot allocate memory.

I thought I could help this by limiting the pack size, and using 
--window-memory to limit the memory usage, but it still happens with 
this full command line:

git repack -a -d --max-pack-size=500m -f -F --depth=20 --window=250 
--window-memory=500m

The key factor seems to be the --window... with 50 it works fine, but 
with 100 or more, even with the very low --window-memory limit, it crashes.